Difference between revisions of "Draft SelectPlane/de"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
 
(8 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
<div class="mw-translate-fuzzy">
 
{{Docnav/de|[[Draft_Stretch/de|Dehnen/de]]|[[Draft_FinishLine/de|Finish line]]|[[Draft_Module/de|Entwurf Arbeitsbereich]]|IconL=Draft_Stretch.svg|IconC=Workbench_Draft.svg|IconR=Draft_FinishLine.png}}
 
{{Docnav/de|[[Draft_Stretch/de|Dehnen/de]]|[[Draft_FinishLine/de|Finish line]]|[[Draft_Module/de|Entwurf Arbeitsbereich]]|IconL=Draft_Stretch.svg|IconC=Workbench_Draft.svg|IconR=Draft_FinishLine.png}}
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/de
 
{{GuiCommand/de
 
|Name=Draft SelectPlane|Name/de=Ebene markieren
 
|Name=Draft SelectPlane|Name/de=Ebene markieren
Line 9: Line 12:
 
|SeeAlso=[[Draft SetWorkingPlaneProxy/de]],[[Draft ToggleGrid/de]]
 
|SeeAlso=[[Draft SetWorkingPlaneProxy/de]],[[Draft ToggleGrid/de]]
 
}}
 
}}
 +
</div>
  
 +
==Description==
 +
 +
<div class="mw-translate-fuzzy">
 
==Beschreibung==
 
==Beschreibung==
Das [[Draft Module/de|Entwurf Arbeitsbereich]] verfügt über ein Bearbeitungsebenensystem. Eine Ebene in der 3D Ansicht zeigt an, wo eine Entwurfsform erstellt wird. Es gibt mehrere Möglichkeiten, die Bearbeitungsebene zu definieren:
+
Der [[Draft Module/de|Entwurf Arbeitsbereich]] verfügt über ein Bearbeitungsebenensystem. Eine Ebene in der 3D Ansicht zeigt an, wo eine Entwurfsform erstellt wird. Es gibt mehrere Möglichkeiten, die Bearbeitungsebene zu definieren:
 
* Von einer ausgewählten Fläche.
 
* Von einer ausgewählten Fläche.
 
* Von drei ausgewählten Knoten.
 
* Von drei ausgewählten Knoten.
Line 17: Line 24:
 
* Von einer Voreinstellung: oben, vorne oder seitlich.
 
* Von einer Voreinstellung: oben, vorne oder seitlich.
 
* Keine, in diesem Fall wird die Bearbeitungsebene beim Starten eines Befehls automatisch an die aktuelle Ansicht oder an eine Fläche angepasst, wenn Du mit dem Zeichnen auf einer vorhandenen Fläche beginnst.
 
* Keine, in diesem Fall wird die Bearbeitungsebene beim Starten eines Befehls automatisch an die aktuelle Ansicht oder an eine Fläche angepasst, wenn Du mit dem Zeichnen auf einer vorhandenen Fläche beginnst.
 +
</div>
  
 
[[Image:WorkingPlane_example.png|400px]]
 
[[Image:WorkingPlane_example.png|400px]]
 
{{Caption|Unterschiedliche Arbeitsebenen können eingestellt werden, auf denen Formen gezeichnet werden können.}}
 
{{Caption|Unterschiedliche Arbeitsebenen können eingestellt werden, auf denen Formen gezeichnet werden können.}}
  
 +
<div class="mw-translate-fuzzy">
 
==Anwendung==
 
==Anwendung==
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Die {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft SelectPlane/de|WähleEbene]]}} Taste ist gegenwärtig in der [[Draft Tray/de]] Werkzeugleiste, die nur in den [[Draft Module/de |Draft Arbeitsbereich]] und [[Arch Module|Arch Arbeitsbereich]] Arbeitsbereichen erscheint.
 
Die {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft SelectPlane/de|WähleEbene]]}} Taste ist gegenwärtig in der [[Draft Tray/de]] Werkzeugleiste, die nur in den [[Draft Module/de |Draft Arbeitsbereich]] und [[Arch Module|Arch Arbeitsbereich]] Arbeitsbereichen erscheint.
 +
</div>
  
 
=== Ohne ausgewähltes Element ===
 
=== Ohne ausgewähltes Element ===
  
 +
<div class="mw-translate-fuzzy">
 
# Drücke die {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft SelectPlane/de|WähleEbene]]}} Taste.
 
# Drücke die {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft SelectPlane/de|WähleEbene]]}} Taste.
 
# Wähle den Versatz, den Rasterabstand und die Hauptlinien aus
 
# Wähle den Versatz, den Rasterabstand und die Hauptlinien aus
 
# Wähle eine der Vorgaben aus: {{Button|[[Image:View-top.svg|16px]] XY (top)}}, {{Button|[[Image:View-front.svg|16px]] XZ (front)}}, {{Button|[[Image:View-right.svg|16px]] YZ (side)}}, {{Button|[[Image:View-isometric.svg|16px]] View}}, or {{Button|[[Image:View-axonometric.svg|16px]] Auto}}.
 
# Wähle eine der Vorgaben aus: {{Button|[[Image:View-top.svg|16px]] XY (top)}}, {{Button|[[Image:View-front.svg|16px]] XZ (front)}}, {{Button|[[Image:View-right.svg|16px]] YZ (side)}}, {{Button|[[Image:View-isometric.svg|16px]] View}}, or {{Button|[[Image:View-axonometric.svg|16px]] Auto}}.
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Sobald die Ebene eingestellt ist, ändert sich die Taste, um die aktive Ebene anzuzeigen {{Button|[[Image:Draft SelectPlane.png|16px]] Top}}, {{Button|[[Image:Draft SelectPlane.svg|16px]] Front}}, {{Button|[[Image:Draft SelectPlane.svg|16px]] Side}}, {{Button|[[Image:Draft SelectPlane.png|16px]] Auto}}, {{Button|[[Image:Draft SelectPlane.svg|16px]] d(0.0,-1.0,0.0)}}.
 
Sobald die Ebene eingestellt ist, ändert sich die Taste, um die aktive Ebene anzuzeigen {{Button|[[Image:Draft SelectPlane.png|16px]] Top}}, {{Button|[[Image:Draft SelectPlane.svg|16px]] Front}}, {{Button|[[Image:Draft SelectPlane.svg|16px]] Side}}, {{Button|[[Image:Draft SelectPlane.png|16px]] Auto}}, {{Button|[[Image:Draft SelectPlane.svg|16px]] d(0.0,-1.0,0.0)}}.
 +
</div>
  
 
Du kannst das Gitter über die Verknüpfung ein- und ausblenden {{KEY|G}} {{KEY|R}}.
 
Du kannst das Gitter über die Verknüpfung ein- und ausblenden {{KEY|G}} {{KEY|R}}.
Line 37: Line 53:
 
=== Mit ausgewähltem Element ===
 
=== Mit ausgewähltem Element ===
  
# Wähle eine Fläche eines vorhandenen Objekts in der 3D Ansicht aus, oder halte {{KEY|Ctrl}} gedrückt und wähle drei Ecken eines Objekts. {{Version 0.17}}
+
<div class="mw-translate-fuzzy">
 +
# Wähle eine Fläche eines vorhandenen Objekts in der 3D Ansicht aus, oder halte {{KEY|Ctrl}} gedrückt und wähle drei Ecken eines Objekts. {{Version/de|0.17}}
 
# Drücke die Taste {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft SelectPlane/de|WähleEbene]]}}, oder klicke mit der rechten Maustaste und wähle  {{MenuCommand/de|Hilfsmittel→ [[Image:Draft SelectPlane.svg|16px]]. [[Draft SelectPlane/de|WähleEbene]]}}.
 
# Drücke die Taste {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft SelectPlane/de|WähleEbene]]}}, oder klicke mit der rechten Maustaste und wähle  {{MenuCommand/de|Hilfsmittel→ [[Image:Draft SelectPlane.svg|16px]]. [[Draft SelectPlane/de|WähleEbene]]}}.
 +
</div>
  
 
Die Ebene wird ausgerichtet auf die Fläche des Objekts oder auf die durch die drei Knoten definierte Ebene erstellt.
 
Die Ebene wird ausgerichtet auf die Fläche des Objekts oder auf die durch die drei Knoten definierte Ebene erstellt.
  
==Optionen====
+
==Options==
 +
 
 +
<div class="mw-translate-fuzzy">
 +
==Optionen==
 
* Drücke die {{Button|[[Image:View-top.svg|16px]] XY (top)}} Taste um die Bearbeitungsebene in der XY Ebene festzulegen.  
 
* Drücke die {{Button|[[Image:View-top.svg|16px]] XY (top)}} Taste um die Bearbeitungsebene in der XY Ebene festzulegen.  
 
Um auf dieser Ebene leicht zeichnen zu können, solltest Du die Ansicht nach oben oder unten setzen (das Normal liegt in der positiven oder negativen Z Richtung). Drücke {{KEY|2}} oder {{KEY|5}}, um schnell zu diesen Ansichten zu wechseln.
 
Um auf dieser Ebene leicht zeichnen zu können, solltest Du die Ansicht nach oben oder unten setzen (das Normal liegt in der positiven oder negativen Z Richtung). Drücke {{KEY|2}} oder {{KEY|5}}, um schnell zu diesen Ansichten zu wechseln.
Line 54: Line 75:
 
* Klicke auf das Kontrollkästchen "Mittelebene auf Ansicht", um die Ebene und das Gitter in der 3D Ansicht näher an die Kameraansicht zu zeichnen.
 
* Klicke auf das Kontrollkästchen "Mittelebene auf Ansicht", um die Ebene und das Gitter in der 3D Ansicht näher an die Kameraansicht zu zeichnen.
 
* Drücke {{KEY|Esc}} oder die {{button|Close}} Taste, um den aktuellen Befehl abzubrechen.
 
* Drücke {{KEY|Esc}} oder die {{button|Close}} Taste, um den aktuellen Befehl abzubrechen.
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
==Skripten==
 
==Skripten==
 
{{emphasis|Sie auch:}} [[Draft API]] und [[FreeCAD Scripting Grundlagen]]. Siehe die [http://www.freecadweb.org/api/DraftWorkingPlane.html WorkingPlane API].
 
{{emphasis|Sie auch:}} [[Draft API]] und [[FreeCAD Scripting Grundlagen]]. Siehe die [http://www.freecadweb.org/api/DraftWorkingPlane.html WorkingPlane API].
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Objekte in der Arbeitsebene können einfach in [[macros/de]] und von der [[Python/de]] Konsole aus erstellt und bearbeitet werden.
 
Objekte in der Arbeitsebene können einfach in [[macros/de]] und von der [[Python/de]] Konsole aus erstellt und bearbeitet werden.
 +
</div>
  
 
Du kannst auf die aktuelle Bearbeitungsebene Entwurf zugreifen und Transformationen darauf anwenden:
 
Du kannst auf die aktuelle Bearbeitungsebene Entwurf zugreifen und Transformationen darauf anwenden:
 +
 
{{Code|code=
 
{{Code|code=
import FreeCAD
+
import FreeCAD as App
 +
import FreeCADGui as Gui
  
Workplane = FreeCAD.DraftWorkingPlane
+
workplane = App.DraftWorkingPlane
  
v1 = FreeCAD.Vector(0, 0, 0)
+
v1 = App.Vector(0, 0, 0)
v2 = FreeCAD.Vector(1, 1, 1).normalize()
+
v2 = App.Vector(1, 1, 1).normalize()
  
Workplane.alignToPointAndAxis(v1, v2, 17)
+
workplane.alignToPointAndAxis(v1, v2, 17)
 +
Gui.Snapper.toggleGrid()
 +
Gui.Snapper.toggleGrid()
 
}}
 
}}
  
 +
<div class="mw-translate-fuzzy">
 
Nach dem Wechsel der Bearbeitungsebene muss ein Draft Befehl ausgegeben werden, um das sichtbare Raster zu aktualisieren.
 
Nach dem Wechsel der Bearbeitungsebene muss ein Draft Befehl ausgegeben werden, um das sichtbare Raster zu aktualisieren.
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Du kannst eigene Ebenen erstellen und unabhängig von der aktuellen Bearbeitungsebene verwenden.
 
Du kannst eigene Ebenen erstellen und unabhängig von der aktuellen Bearbeitungsebene verwenden.
 +
</div>
 +
 
{{Code|code=
 
{{Code|code=
 
import WorkingPlane
 
import WorkingPlane
  
Plane = WorkingPlane.plane()
+
my_plane = WorkingPlane.plane()
 +
 
 +
v1 = App.Vector(0, 0, 0)
 +
v2 = App.Vector(1, 1, 1).normalize()
 +
my_plane.alignToPointAndAxis(v1, v2, 17)
 +
 
 +
projection = my_plane.projectPoint(App.Vector(10, 15, 2))
 +
print(projection)
 +
}}
 +
 
 +
To display a new grid use a new tracker object. First set up the normal working plane as you need, then create a new tracker object, then set it to the current plane, and then you can turn it on or off.
 +
{{Code|code=
 +
import FreeCAD as App
 +
import DraftTrackers
 +
 
 +
App.DraftWorkingPlane.alignToPointAndAxis(App.Vector(0, 0, 0),
 +
                                          App.Vector(1, 0, 0),
 +
                                          0)
 +
 
 +
my_grid = DraftTrackers.gridTracker()
 +
my_grid.set()
 +
my_grid.on()
 +
my_grid.off()
 
}}
 
}}
  
 +
This grid is merely a visual aid and doesn't allow snapping.
 +
 +
To have the possibility of switching quickly to different grids, in different positions, you should create a {{Button|[[File:Draft_SetWorkingPlaneProxy.svg|16px]] [[Draft_SetWorkingPlaneProxy|Working plane proxy]]}}.
 +
 +
<div class="mw-translate-fuzzy">
 
{{Docnav/de|[[Draft_Stretch/de|Dehnen]]|[[Draft_FinishLine/de|Finish line]]|[[Draft_Module/de|Draft Arbeitsbereich]]|IconL=Draft_Stretch.svg|IconC=Workbench_Draft.svg|IconR=Draft_FinishLine.png}}
 
{{Docnav/de|[[Draft_Stretch/de|Dehnen]]|[[Draft_FinishLine/de|Finish line]]|[[Draft_Module/de|Draft Arbeitsbereich]]|IconL=Draft_Stretch.svg|IconC=Workbench_Draft.svg|IconR=Draft_FinishLine.png}}
 +
</div>
  
{{Draft Tools navi/de}}
+
{{Draft Tools navi{{#translation:}}}}
 
+
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi/de}}
 
 
{{clear}}
 
{{clear}}

Latest revision as of 22:38, 18 March 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft SelectPlane.svg Ebene markieren

Menüeintrag
Entwurf → Dienstprogramme → Ebene markieren
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
W P
In der Version eingeführt
-
Siehe auch
Draft SetWorkingPlaneProxy/de,Draft ToggleGrid/de


Description

Beschreibung

Der Entwurf Arbeitsbereich verfügt über ein Bearbeitungsebenensystem. Eine Ebene in der 3D Ansicht zeigt an, wo eine Entwurfsform erstellt wird. Es gibt mehrere Möglichkeiten, die Bearbeitungsebene zu definieren:

  • Von einer ausgewählten Fläche.
  • Von drei ausgewählten Knoten.
  • Aus der gegenwärtigen Sicht.
  • Von einer Voreinstellung: oben, vorne oder seitlich.
  • Keine, in diesem Fall wird die Bearbeitungsebene beim Starten eines Befehls automatisch an die aktuelle Ansicht oder an eine Fläche angepasst, wenn Du mit dem Zeichnen auf einer vorhandenen Fläche beginnst.

WorkingPlane example.png

Unterschiedliche Arbeitsebenen können eingestellt werden, auf denen Formen gezeichnet werden können.


Anwendung

Die Draft SelectPlane.svg WähleEbene Taste ist gegenwärtig in der Draft Tray/de Werkzeugleiste, die nur in den Draft Arbeitsbereich und Arch Arbeitsbereich Arbeitsbereichen erscheint.

Ohne ausgewähltes Element

  1. Drücke die Draft SelectPlane.svg WähleEbene Taste.
  2. Wähle den Versatz, den Rasterabstand und die Hauptlinien aus
  3. Wähle eine der Vorgaben aus: View-top.svg XY (top), View-front.svg XZ (front), View-right.svg YZ (side), View-isometric.svg View, or View-axonometric.svg Auto.

Sobald die Ebene eingestellt ist, ändert sich die Taste, um die aktive Ebene anzuzeigen Draft SelectPlane.png Top, Draft SelectPlane.svg Front, Draft SelectPlane.svg Side, Draft SelectPlane.png Auto, Draft SelectPlane.svg d(0.0,-1.0,0.0).

Du kannst das Gitter über die Verknüpfung ein- und ausblenden G R.

Mit ausgewähltem Element

  1. Wähle eine Fläche eines vorhandenen Objekts in der 3D Ansicht aus, oder halte Ctrl gedrückt und wähle drei Ecken eines Objekts. verfügbar in Version 0.17
  2. Drücke die Taste Draft SelectPlane.svg WähleEbene, oder klicke mit der rechten Maustaste und wähle Hilfsmittel→ Draft SelectPlane.svg. WähleEbene.

Die Ebene wird ausgerichtet auf die Fläche des Objekts oder auf die durch die drei Knoten definierte Ebene erstellt.

Options

Optionen

  • Drücke die View-top.svg XY (top) Taste um die Bearbeitungsebene in der XY Ebene festzulegen.

Um auf dieser Ebene leicht zeichnen zu können, solltest Du die Ansicht nach oben oder unten setzen (das Normal liegt in der positiven oder negativen Z Richtung). Drücke 2 oder 5, um schnell zu diesen Ansichten zu wechseln.

  • Drücke die View-front.svg XZ (front) Taste, um die Bearbeitungsebene in der XZ Ebene festzulegen. Um auf dieser Ebene leicht zeichnen zu können, solltest Du die Ansicht nach vorne oder hinten setzen (das Normal liegt in negativer oder positiver Y Richtung). Drücke 1 oder 4, um schnell zu diesen Ansichten zu wechseln.
  • Drücke die Taste {View-right.svg YZ (side) Taste, um die Bearbeitungsebene in der YZ Ebene einzustellen. Um auf dieser Ebene leicht zeichnen zu können, solltest Du die Ansicht auf die linke oder rechte Seite setzen. (das Normal liegt in positiver oder negativer X Richtung). Drücke 3} oder 6, um schnell zu diesen Ansichten zu wechseln.
  • Drücke die View-isometric.svg View Taste , um die Bearbeitungsebene auf die aktuelle 3D Ansicht, senkrecht zur Kameraachse und durch den Ursprung (0,0,0) verlaufend, zu setzen.
  • Drücke die View-axonometric.svg Auto Taste , um eine aktuelle Bearbeitungsebene aufzuheben und automatisch eine Bearbeitungsebene zu setzen, wenn ein Werkzeug verwendet wird. Wenn ein Zeichenwerkzeug ausgewählt ist, wird das Gitter automatisch auf die aktuelle Ansicht aktualisiert; wenn die Ansicht gedreht wird und ein anderes Werkzeug ausgewählt wird, wird das Gitter in der neuen Ansicht neu gezeichnet. Dies entspricht dem Drücken von View-isometric.svg View automatisch vor der Verwendung eines Werkzeugs.
  • Setze den Wert "Versatz", um die Bearbeitungsebene in einem bestimmten senkrechten Abstand von der von dir gewählten Ebene zu setzen.
  • Setze den Wert "Rasterabstand", um den Abstand zwischen den einzelnen Linien im Raster zu definieren.
  • Setze den Wert "Hauptlinie alle", um eine etwas dickere Linie im Raster bei setzen des Wertes zu zeichnen. Zum Beispiel, wenn der Rasterabstand beispielsweise 0,5 m beträgt und alle 20 Linien eine Hauptlinie vorhanden ist, wird alle 10 m eine etwas dickere Linie sein.
  • Klicke auf das Kontrollkästchen "Mittelebene auf Ansicht", um die Ebene und das Gitter in der 3D Ansicht näher an die Kameraansicht zu zeichnen.
  • Drücke Esc oder die Close Taste, um den aktuellen Befehl abzubrechen.

Skripten

Sie auch: Draft API und FreeCAD Scripting Grundlagen. Siehe die WorkingPlane API.

Objekte in der Arbeitsebene können einfach in macros/de und von der Python/de Konsole aus erstellt und bearbeitet werden.

Du kannst auf die aktuelle Bearbeitungsebene Entwurf zugreifen und Transformationen darauf anwenden:

import FreeCAD as App
import FreeCADGui as Gui

workplane = App.DraftWorkingPlane

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()

workplane.alignToPointAndAxis(v1, v2, 17)
Gui.Snapper.toggleGrid()
Gui.Snapper.toggleGrid()

Nach dem Wechsel der Bearbeitungsebene muss ein Draft Befehl ausgegeben werden, um das sichtbare Raster zu aktualisieren.

Du kannst eigene Ebenen erstellen und unabhängig von der aktuellen Bearbeitungsebene verwenden.

import WorkingPlane

my_plane = WorkingPlane.plane()

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()
my_plane.alignToPointAndAxis(v1, v2, 17)

projection = my_plane.projectPoint(App.Vector(10, 15, 2))
print(projection)

To display a new grid use a new tracker object. First set up the normal working plane as you need, then create a new tracker object, then set it to the current plane, and then you can turn it on or off.

import FreeCAD as App
import DraftTrackers

App.DraftWorkingPlane.alignToPointAndAxis(App.Vector(0, 0, 0),
                                          App.Vector(1, 0, 0),
                                          0)

my_grid = DraftTrackers.gridTracker()
my_grid.set()
my_grid.on()
my_grid.off()

This grid is merely a visual aid and doesn't allow snapping.

To have the possibility of switching quickly to different grids, in different positions, you should create a Draft SetWorkingPlaneProxy.svg Working plane proxy.

Arrow-left.svg Draft Stretch.svg Dehnen Vorherige:
Nächste: Finish line Draft FinishLine.png Arrow-right.svg